cURL
curl 'https://api.gumloop.com/api/v1/mcp/servers/gumloop_slack?team_id=YOUR_TEAM_ID' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'from gumloop import Gumloop
client = Gumloop(access_token="YOUR_ACCESS_TOKEN")
response = client.mcp.get_server("gumloop_slack", team_id="YOUR_TEAM_ID")
print(response.server.status, response.server.allowed_tool_call_ids)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gumloop.com/api/v1/mcp/servers/{server_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"server": {
"server_id": "gumloop_slack",
"name": "Slack",
"type": "gumcp_server",
"status": "connected",
"icon_url": "https://www.gumloop.com/icons/slack.png",
"description": "Send and read Slack messages.",
"gumloop_auth_url": "https://www.gumloop.com/oauth/connect/slack",
"mcp_url": null,
"tool_count": 12,
"allowed_tool_call_ids": [
"gumloop_slack__slack_send_message",
"gumloop_slack__slack_list_channels"
]
}
}Retrieve an MCP server
Return a single MCP server. The response populates allowed_tool_call_ids with the tool call IDs the caller is permitted to invoke on this server.
GET
/
mcp
/
servers
/
{server_id}
cURL
curl 'https://api.gumloop.com/api/v1/mcp/servers/gumloop_slack?team_id=YOUR_TEAM_ID' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'from gumloop import Gumloop
client = Gumloop(access_token="YOUR_ACCESS_TOKEN")
response = client.mcp.get_server("gumloop_slack", team_id="YOUR_TEAM_ID")
print(response.server.status, response.server.allowed_tool_call_ids)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gumloop.com/api/v1/mcp/servers/{server_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"server": {
"server_id": "gumloop_slack",
"name": "Slack",
"type": "gumcp_server",
"status": "connected",
"icon_url": "https://www.gumloop.com/icons/slack.png",
"description": "Send and read Slack messages.",
"gumloop_auth_url": "https://www.gumloop.com/oauth/connect/slack",
"mcp_url": null,
"tool_count": 12,
"allowed_tool_call_ids": [
"gumloop_slack__slack_send_message",
"gumloop_slack__slack_list_channels"
]
}
}Authorizations
Path Parameters
Identifier of the MCP server to retrieve.
Query Parameters
Scope the lookup to a single team.
Response
The requested MCP server.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
